Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-13925

Can't install extension if there is any non blocker error in the install plan log

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 7.4.5
    • Fix Version/s: 8.4.3, 9.0-rc-1
    • Component/s: Extension
    • Labels:
      None
    • Difficulty:
      Unknown
    • Documentation:
      N/A
    • Documentation in Release Notes:
      N/A
    • Similar issues:

      Description

      There is various possible errors logs (wrong or down repository being the most common one) which don't have any impact on the result of the install plan calculation so the UI and install job should not take any decision based on it. There is a dedicated JobStatus#getError() for it now.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tmortagne Thomas Mortagne
                Reporter:
                tmortagne Thomas Mortagne
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: